# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Interface ExtensionVisitor

    public interface ExtensionVisitor

The ExtensionVisitor interface describes the implementation of a visitor pattern for GData data model processing.

See Also:
  `ExtensionPoint.visit(ExtensionVisitor, ExtensionPoint)`

Nested Class Summary
`static class` `ExtensionVisitor.StoppedException` The StoppedException is thrown by ExtensionVisitor instances to immediately exit from extension tree processing.

Method Summary
`boolean` `visit(ExtensionPoint parent, Extension extension)` Called during ExtensionPoint tree traversal to allow the visitor instance to process an extension in the tree.
`void` `visitComplete(ExtensionPoint target)` The visitComplete method is called when traversal for an ExtensionPoint and all of its nested children has been completed.

Method Detail

### visit

    boolean visit(ExtensionPoint parent,
                  Extension extension)
                  throws ExtensionVisitor.StoppedException

  Called during ExtensionPoint tree traversal to allow the visitor instance to process an extension in the tree.

  Parameters:
    `parent` - the parent of the visited extension.
    `extension` - the target extension being visited.
  Returns:
    boolean value indicating whether child extensions (if any) should be visited.
  Throws:
    `ExtensionVisitor.StoppedException` - if the data model traversal should be stopped immediately. This may be the result of an unexpected error, or some visitor implementations may extend this exception type to signal specific exit conditions.

### visitComplete

    void visitComplete(ExtensionPoint target)
                       throws ExtensionVisitor.StoppedException

  The visitComplete method is called when traversal for an ExtensionPoint and all of its nested children has been completed.

  Parameters:
    `target` - the visited extension point
  Throws:
    `ExtensionVisitor.StoppedException` - if the data model traversal should be stopped immediately. This may be the result of an unexpected error, or some visitor implementations may extend this exception type to signal specific exit conditions.